Bug 240892 - databases/grass7: fix packaging and change options
Summary: databases/grass7: fix packaging and change options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-28 10:37 UTC by Loïc Bartoletti
Modified: 2019-09-29 19:09 UTC (History)
2 users (show)

See Also:


Attachments
gras 7.6.1 fix package (13.62 KB, patch)
2019-09-28 10:37 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2019-09-28 10:37:07 UTC
Created attachment 207908 [details]
gras 7.6.1 fix package

databases/grass7: fix packaging

 * Remove with-openmp since the build failed for 3 modules with openmp since 2019-09-10
 * Remove some default options less used (NETCDF MYSQL ODBC) or non existant (NETLIB)
 * Add zstd option
 * Uses NLS as an option

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11 12 HEAD, i386 amd64, <OPTIONS> tested)
Comment 1 Kurt Jaeger freebsd_committer 2019-09-29 19:09:06 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2019-09-29 19:09:42 UTC
A commit references this bug:

Author: pi
Date: Sun Sep 29 19:09:05 UTC 2019
New revision: 513260
URL: https://svnweb.freebsd.org/changeset/ports/513260

Log:
  databases/grass7: fix packaging and change options

  - Remove with-openmp since the build failed for 3 modules
    with openmp since 2019-09-10
  - Remove some default options less used (NETCDF MYSQL ODBC) or
    non existant (NETLIB)
  - Add zstd option
  - Uses NLS as an option

  PR:		240892
  Submitted by:	Loic Bartoletti <lbartoletti@tuxfamily.org> (maintainer)

Changes:
  head/databases/grass7/Makefile
  head/databases/grass7/pkg-plist